HOL Light tactics
=================

This package contains HOL Light versions of leanCoP and Metis.
To install a version of HOL Light with the tactics installed, run:

    ./install.sh

This should create a directory `hol_light`, where you can run HOL Light
as usual:

    make
    rlwrap ocaml
    #use "hol.ml";;

Then, to load the tactics, run:

    loads "metis_tactic.ml";;
    loads "leancop.ml";;

You can use the tactics such as:

    Metis_tactic.METIS [] `a \/ ~a`;;
    Leancop.LEANCOP [] `a \/ ~a`;;


Evaluation
----------

Instructions on how to start the evaluation are located in eval/make.ml.
